net.sf.jasperreports.charts.design

## Class JRDesignScatterPlot

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot
  - - net.sf.jasperreports.charts.base.JRBaseScatterPlot
    - - net.sf.jasperreports.charts.design.JRDesignScatterPlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCommonLinePlot, JRScatterPlot, JRXAxisFormat, JRYAxisFormat, JRChangeEventsSupport, JRChartPlot, JRCloneable

      public class JRDesignScatterPlot
      extends JRBaseScatterPlot

  Version:
    $Id: JRDesignScatterPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `JRBaseChartPlot.JRBaseSeriesColor`

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_DOMAIN_AXIS_MAXVALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_DOMAIN_AXIS_MINVALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_RANGE_AXIS_MAXVALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_RANGE_AXIS_MINVALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_X_AXIS_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_X_AXIS_LABEL_EXPRESSION`
    `static java.lang.String` | `PROPERTY_X_AXIS_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_X_AXIS_LINE_COLOR`
    `static java.lang.String` | `PROPERTY_X_AXIS_TICK_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_X_AXIS_TICK_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_X_AXIS_TICK_LABEL_MASK`
    `static java.lang.String` | `PROPERTY_X_AXIS_VERTICAL_TICK_LABELS`
    `static java.lang.String` | `PROPERTY_Y_AXIS_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_Y_AXIS_LABEL_EXPRESSION`
    `static java.lang.String` | `PROPERTY_Y_AXIS_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_Y_AXIS_LINE_COLOR`
    `static java.lang.String` | `PROPERTY_Y_AXIS_TICK_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_Y_AXIS_TICK_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_Y_AXIS_TICK_LABEL_MASK`
    `static java.lang.String` | `PROPERTY_Y_AXIS_VERTICAL_TICK_LABELS`

    - ### Fields inherited from class net.sf.jasperreports.charts.base.JRBaseScatterPlot

      `domainAxisMaxValueExpression, domainAxisMinValueExpression, PROPERTY_SHOW_LINES, PROPERTY_SHOW_SHAPES, rangeAxisMaxValueExpression, rangeAxisMinValueExpression, xAxisLabelColor, xAxisLabelExpression, xAxisLabelFont, xAxisLineColor, xAxisTickLabelColor, xAxisTickLabelFont, xAxisTickLabelMask, xAxisVerticalTickLabels, yAxisLabelColor, yAxisLabelExpression, yAxisLabelFont, yAxisLineColor, yAxisTickLabelColor, yAxisTickLabelFont, yAxisTickLabelMask, yAxisVerticalTickLabels`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientationValue, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignScatterPlot(JRChartPlot plot, JRChart chart)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDomainAxisMaxValueExpression(JRExpression domainAxisMaxValueExpression)`
    `void` | `setDomainAxisMinValueExpression(JRExpression domainAxisMinValueExpression)`
    `void` | `setRangeAxisMaxValueExpression(JRExpression rangeAxisMaxValueExpression)`
    `void` | `setRangeAxisMinValueExpression(JRExpression rangeAxisMinValueExpression)`
    `void` | `setXAxisFormat(JRAxisFormat axisFormat)`
    `void` | `setXAxisLabelColor(java.awt.Color xAxisLabelColor)`
    `void` | `setXAxisLabelExpression(JRExpression xAxisLabelExpression)`
    `void` | `setXAxisLabelFont(JRFont xAxisLabelFont)`
    `void` | `setXAxisLineColor(java.awt.Color xAxisLineColor)`
    `void` | `setXAxisTickLabelColor(java.awt.Color xAxisTickLabelColor)`
    `void` | `setXAxisTickLabelFont(JRFont xAxisTickLabelFont)`
    `void` | `setXAxisTickLabelMask(java.lang.String xAxisTickLabelMask)`
    `void` | `setXAxisVerticalTickLabels(java.lang.Boolean xAxisVerticalTickLabels)`
    `void` | `setYAxisFormat(JRAxisFormat axisFormat)`
    `void` | `setYAxisLabelColor(java.awt.Color yAxisLabelColor)`
    `void` | `setYAxisLabelExpression(JRExpression yAxisLabelExpression)`
    `void` | `setYAxisLabelFont(JRFont yAxisLabelFont)`
    `void` | `setYAxisLineColor(java.awt.Color yAxisLineColor)`
    `void` | `setYAxisTickLabelColor(java.awt.Color yAxisTickLabelColor)`
    `void` | `setYAxisTickLabelFont(JRFont yAxisTickLabelFont)`
    `void` | `setYAxisTickLabelMask(java.lang.String yAxisTickLabelMask)`
    `void` | `setYAxisVerticalTickLabels(java.lang.Boolean yAxisVerticalTickLabels)`

    - ### Methods inherited from class net.sf.jasperreports.charts.base.JRBaseScatterPlot

      `clone, collectExpressions, getDomainAxisMaxValueExpression, getDomainAxisMinValueExpression, getOwnXAxisLabelColor, getOwnXAxisLineColor, getOwnXAxisTickLabelColor, getOwnYAxisLabelColor, getOwnYAxisLineColor, getOwnYAxisTickLabelColor, getRangeAxisMaxValueExpression, getRangeAxisMinValueExpression, getShowLines, getShowShapes, getXAxisLabelColor, getXAxisLabelExpression, getXAxisLabelFont, getXAxisLineColor, getXAxisTickLabelColor, getXAxisTickLabelFont, getXAxisTickLabelMask, getXAxisVerticalTickLabels, getYAxisLabelColor, getYAxisLabelExpression, getYAxisLabelFont, getYAxisLineColor, getYAxisTickLabelColor, getYAxisTickLabelFont, getYAxisTickLabelMask, getYAxisVerticalTickLabels, setShowLines, setShowShapes`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PROPERTY_X_AXIS_LABEL_COLOR

          public static final java.lang.String PROPERTY_X_AXIS_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_X_AXIS_LABEL_EXPRESSION

          public static final java.lang.String PROPERTY_X_AXIS_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_X_AXIS_LABEL_FONT

          public static final java.lang.String PROPERTY_X_AXIS_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_X_AXIS_LINE_COLOR

          public static final java.lang.String PROPERTY_X_AXIS_LINE_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_X_AXIS_TICK_LABEL_COLOR

          public static final java.lang.String PROPERTY_X_AXIS_TICK_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_X_AXIS_TICK_LABEL_FONT

          public static final java.lang.String PROPERTY_X_AXIS_TICK_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_X_AXIS_TICK_LABEL_MASK

          public static final java.lang.String PROPERTY_X_AXIS_TICK_LABEL_MASK

      See Also:
        Constant Field Values

    - #### PROPERTY_X_AXIS_VERTICAL_TICK_LABELS

          public static final java.lang.String PROPERTY_X_AXIS_VERTICAL_TICK_LABELS

      See Also:
        Constant Field Values

    - #### PROPERTY_Y_AXIS_LABEL_COLOR

          public static final java.lang.String PROPERTY_Y_AXIS_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_Y_AXIS_LABEL_EXPRESSION

          public static final java.lang.String PROPERTY_Y_AXIS_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_Y_AXIS_LABEL_FONT

          public static final java.lang.String PROPERTY_Y_AXIS_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_Y_AXIS_LINE_COLOR

          public static final java.lang.String PROPERTY_Y_AXIS_LINE_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_Y_AXIS_TICK_LABEL_COLOR

          public static final java.lang.String PROPERTY_Y_AXIS_TICK_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_Y_AXIS_TICK_LABEL_FONT

          public static final java.lang.String PROPERTY_Y_AXIS_TICK_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_Y_AXIS_TICK_LABEL_MASK

          public static final java.lang.String PROPERTY_Y_AXIS_TICK_LABEL_MASK

      See Also:
        Constant Field Values

    - #### PROPERTY_Y_AXIS_VERTICAL_TICK_LABELS

          public static final java.lang.String PROPERTY_Y_AXIS_VERTICAL_TICK_LABELS

      See Also:
        Constant Field Values

    - #### PROPERTY_DOMAIN_AXIS_MINVALUE_EXPRESSION

          public static final java.lang.String PROPERTY_DOMAIN_AXIS_MINVALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_DOMAIN_AXIS_MAXVALUE_EXPRESSION

          public static final java.lang.String PROPERTY_DOMAIN_AXIS_MAXVALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_RANGE_AXIS_MINVALUE_EXPRESSION

          public static final java.lang.String PROPERTY_RANGE_AXIS_MINVALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_RANGE_AXIS_MAXVALUE_EXPRESSION

          public static final java.lang.String PROPERTY_RANGE_AXIS_MAXVALUE_EXPRESSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignScatterPlot

          public JRDesignScatterPlot(JRChartPlot plot,
                             JRChart chart)

  - ### Method Detail

    - #### setXAxisLabelExpression

          public void setXAxisLabelExpression(JRExpression xAxisLabelExpression)

    - #### setXAxisLabelFont

          public void setXAxisLabelFont(JRFont xAxisLabelFont)

    - #### setXAxisLabelColor

          public void setXAxisLabelColor(java.awt.Color xAxisLabelColor)

    - #### setXAxisTickLabelFont

          public void setXAxisTickLabelFont(JRFont xAxisTickLabelFont)

    - #### setXAxisTickLabelColor

          public void setXAxisTickLabelColor(java.awt.Color xAxisTickLabelColor)

    - #### setXAxisTickLabelMask

          public void setXAxisTickLabelMask(java.lang.String xAxisTickLabelMask)

    - #### setXAxisVerticalTickLabels

          public void setXAxisVerticalTickLabels(java.lang.Boolean xAxisVerticalTickLabels)

    - #### setXAxisLineColor

          public void setXAxisLineColor(java.awt.Color xAxisLineColor)

    - #### setYAxisLabelExpression

          public void setYAxisLabelExpression(JRExpression yAxisLabelExpression)

    - #### setYAxisLabelFont

          public void setYAxisLabelFont(JRFont yAxisLabelFont)

    - #### setYAxisLabelColor

          public void setYAxisLabelColor(java.awt.Color yAxisLabelColor)

    - #### setYAxisTickLabelFont

          public void setYAxisTickLabelFont(JRFont yAxisTickLabelFont)

    - #### setYAxisTickLabelColor

          public void setYAxisTickLabelColor(java.awt.Color yAxisTickLabelColor)

    - #### setYAxisTickLabelMask

          public void setYAxisTickLabelMask(java.lang.String yAxisTickLabelMask)

    - #### setYAxisVerticalTickLabels

          public void setYAxisVerticalTickLabels(java.lang.Boolean yAxisVerticalTickLabels)

    - #### setYAxisLineColor

          public void setYAxisLineColor(java.awt.Color yAxisLineColor)

    - #### setXAxisFormat

          public void setXAxisFormat(JRAxisFormat axisFormat)

    - #### setYAxisFormat

          public void setYAxisFormat(JRAxisFormat axisFormat)

    - #### setRangeAxisMinValueExpression

          public void setRangeAxisMinValueExpression(JRExpression rangeAxisMinValueExpression)

    - #### setRangeAxisMaxValueExpression

          public void setRangeAxisMaxValueExpression(JRExpression rangeAxisMaxValueExpression)

    - #### setDomainAxisMinValueExpression

          public void setDomainAxisMinValueExpression(JRExpression domainAxisMinValueExpression)

    - #### setDomainAxisMaxValueExpression

          public void setDomainAxisMaxValueExpression(JRExpression domainAxisMaxValueExpression)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com